vmbypid.d(1m)

NAME
vmbypid.d - virtual memory stats by PID. Uses DTrace.

SYNOPSIS
vmbypid.d

DESCRIPTION
vmbypid.d is a simple DTrace program to print Virtual Memory statistics by process. The virtual memory statistics are documented in the cpu_vminfo struct in the /usr/include/sys/sysinfo.h file; and also in the vminfo provider chapter of the DTrace Guide, http://docs.sun.com/db/doc/817-6223. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
stable - needs the vminfo provider.

EXAMPLES

Sample until Ctrl-C is hit then print report,
    # vmbypid.d

FIELDS

EXEC
    process name

PID process ID

VM  Virtual Memory statistic

VALUE
    Value by which statistic was incremented

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
vmbypid.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), vmstat(1M)